WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

PayPal API Subscriptions

Provides an all-in-one registration point for subscribers to your blog. Uses Paypal API and recurring billing.

Paypal API Subscriptions is designed to allow your users to register on your blog and subscribe all at once. The Paypal API keeps them on your blog and means that you simply have to skin the WordPress Admin to suit your site theme. Because it is fully integrated with WordPress you can keep track of your users easily and effectively.

This plugin defaults to the Paypal Sandbox for test results so you can test it for yourself.

You really need SSL before you can begin to think of using it for real. Download Admin SSL here: Admin SSL.

It's important to realise that you won't be able to test Express Checkout until you use your own developer API credentials.

Features:

  • Subscription button shortcode tags for your posts
  • Use your Paypal API credentials
  • Integrates with WordPress registration seamlessly
  • Use a WordPress Admin Theme to make the user transition completely transparent!
  • Adheres to all Paypal Guidelines and Requirements
  • Uses WordPress-supplied error checking in the registration form for both transactions and fields! This means no registered users by accident.
  • WordPress-MU compatibility!
  • Automatically tests using the Sandbox SDK credentials

List of possible future features:

  • Ability to cancel subscriptions directly inside WordPress
  • Further Paypal Profile changes
  • Additional subscription stuff like initial payment and trials

Need help? Contact me at Zack Design.

Please be aware that I'll only be updating this if I need to or if I'm paid to. Feel free to come on board and contribute!

Requires: 2.5 or higher
Compatible up to: 2.5.1
Last Updated: 2008-8-1
Downloads: 3,661

Ratings

3 stars
3 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

0,1,0